#Navigate to the directory 'data' that contains the original trajectories (in subdirectory 'input') and will hold the simplified trajectories (in subdirectory 'output'):

cd data/

# Compile the code with the standard C++ compiler:

g++ ../code/algorithms/Threshold/Threshold.cpp -o ../code/algorithms/Threshold/Threshold

# Test the executable against an input CSV file holding the AIS positions of a vessel trajectory.
# Parameters to specify: 
#         (1) a speed threshold (in meters/sec), set to 10 m/sec in this test; 
#         (2) an angle threshold (in radians); in this test, a value of 0.1745 radians is used, which is equal to 10 degrees; 
#         (3) flag with value 2 singifies that Haversine distances will be employed in calculations.
# The resulting simplified trajectory will be stored into file 'threshold228037700.csv'.

./../code/algorithms/Threshold/Threshold input/207138000.csv 10 0.1745 2 output/threshold207138000.csv

# Use a Python script to estimate RMSE error between the original and the simplified trajectory (both available as .csv files)

python ./../code/utilities/EstimateRMSE.py input/207138000.csv output/threshold207138000.csv
